Skip to content

Installing PostgreSQL on RHEL 8

RHEL 8 was released 2 months ago, and we already released RPMs for many of the packages. RHEL 8 support is limited, though -- we will release more packages when EPEL 8 is out.

Because of the modularity feature in RHEL 8, installing PGDG RPMs
on RHEL 8 requires extra step.
Recently, Jehan-Guillaume de Rorthais reported the issue on Red Hat Bugzilla. The issue is explained in here.

So, there are two solutions. First one is disabling PostgreSQL module on RHEL 8:

dnf -qy module disable postgresql


Second one is (as suggested in the Bugzilla), adding

module_hotfixes=true


to PGDG repo file.

I committed the second solution to our git repo, but it did not get some applause.

So, until we reach the final decision, please disable postgresql module as described above.

Here are the steps to install PostgreSQL on RHEL 8:

dnf -y install https://download.postgresql.org/pub/repos/yum/reporpms/EL-8-x86_64/pgdg-redhat-repo-latest.noarch.rpm

dnf -qy module disable postgresql

dnf install postgresql12-server postgresql12-contrib


As of now, PostgreSQL 9.4 to 12 are supported.

Trackbacks

No Trackbacks

Comments

Display comments as Linear | Threaded

No comments

Add Comment

Enclosing asterisks marks text as bold (*word*), underscore are made via _word_.
Standard emoticons like :-) and ;-) are converted to images.

To prevent automated Bots from commentspamming, please enter the string you see in the image below in the appropriate input box. Your comment will only be submitted if the strings match. Please ensure that your browser supports and accepts cookies, or your comment cannot be verified correctly.
CAPTCHA

Form options